<?php

namespace Tests\Feature;

use Illuminate\Foundation\Testing\RefreshDatabase;
use Tests\TestCase;

class AppVersionCheckTest extends TestCase
{
    use RefreshDatabase;

    /** @test **/
    public function route_exists()
    {
        $this->post('api/app-version')->assertFound();
    }

    /** @test **/
    public function version_param_must_be_valid_string()
    {
        // Empty
        $this->asJson()->post('api/app-version')->assertInvalid(['version']);
    }
}
